%define aurox_ver 10.0
%define rel 1

%define kde_version 3.2

%define desktop_vendor kde

Summary: KDE Photo Management
Name: digikam
Version: 0.6.2
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Multimedia 
Source0: digikam-%{version}.tar.bz2
Patch0: digikam3-gcc33.patch
URL: http://digikam.sourceforge.net/
BuildRequires: kdebase-devel >= 6:%{kde_version}
BuildRequires: kdelibs-devel >= 6:%{kde_version}
# we need xml2pot from kdesdk
BuildRequires: kdesdk

BuildRequires: gphoto2-devel
BuildRequires: libexif-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Digikam is a kde application which acts as a frontend to gphoto2 for
communicating with digital camera and downloading pictures from
it. It is also able to autodetect the camera connected to the computer.


%prep
%setup -q -n digikam
%patch -p1

%build
make -f Makefile.cvs
%configure \
	--enable-final 
make

%install
#make DESTDIR=$RPM_BUILD_ROOT install 
%makeinstall

#echo "Comment[pl]=" >> %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Aurox-Extra                                    \
  --add-category X-KDE-Base                                       \
  --add-category Application                                      \
  --add-category Graphics					  \
  %{buildroot}%{_datadir}/applnk/Graphics/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/applnk

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README TODO ChangeLog COPYING
%{_bindir}/digikam
%{_bindir}/digikamcameraclient
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}.la
%{_libdir}/kde3/kio_%{name}*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%dir %{_datadir}/apps/digikam
%{_datadir}/apps/digikam/*
%dir %{_datadir}/apps/digikamcameraclient
%{_datadir}/apps/digikamcameraclient/*
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/icons/*/*/*/digikam.png
%{_datadir}/icons/*/*/*/digikamcameraclient.png
%{_mandir}/man1/%{name}*.1.gz
%{_datadir}/services/%{name}*.protocol
%{_datadir}/servicetypes/%{name}*.desktop

%changelog
* Wed Jul 28 2004 Aurox Team <aurox@aurox.org> 0:0.6.2-10.0.aur.1
- 0.6.2 version
- build requires kdesdk
- final 0.6.1 release

